/*
 * NewsBlob - Live RSS news reader.
 * Copyright 2009 Lars Torger Høye.
 *
 * This file is part of NewsBlob.
 *
 * NewsBlob is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * NewsBlob is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with NewsBlob.  If not, see <http://www.gnu.org/licenses/>.
 */

package newsblob;

import java.awt.AWTException;
import java.awt.Desktop;
import java.awt.SystemTray;
import java.io.FileNotFoundException;
import java.io.IOException;

/**
 *
 * @author Lars Torger Høye
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws AWTException, FileNotFoundException, IOException {
        if(!SystemTray.isSupported()) System.exit(-1);
        if(!Desktop.isDesktopSupported()) System.exit(-1);

        NewsBlob.getInstance().run(true);
    }
}